Onlangs heeft Microsoft de ondersteuning stopgezet voor Windows XP SP2. Het bedrijf brengt daarom geen beveiligingsupdates meer uit voor dat besturingssysteem. Toch wordt het op veel plaatsten nog gebruikt, vooral in complexe productieomgevingen die niet makkelijke te upgraden zijn.

Grant Theft Auto IV

De nieuwste updates hebben minimaal Service Pack 3 nodig, en dat herinnerde onderzoekers bij F-Secure aan andere software die SP3 nodig had, Grand Theft Auto IV, schrijft Sean Sullivan van het beveiligingsbedrijf op het laboratoriumblog. Een paar vasberaden gamers hebben die game toch op SP2 draaiend gekregen met behulp van een rergistry hack.

Daarmee lieten ze het SP2 systeem denken dat het SP3 was, waardoor ze het spel toch konden draaien. Nu blijkt dat de hack ook werkt bij de LNK-update. De video hieronder laat zien dat de kwetsbaarheid kan worden uitgebuit, maar dat het lek dicht is nadat de update is uitgevoerd op Windows XP SP2.

Waarschuwing

F-Secure waarschuwt nog wel dat de update door Microsoft niet officieel wordt ondersteund voor SP2, en dat men deze hack dus maar beter niet kan toepassen in productieomgevingen, omdat het waarschijnlijk een goede manier is om je systeem instabiel te krijgen. Dus op de plaatsen waar de hack het meest nodig is, is het beter hem niet uit te voeren.

Bron: Techworld